export default CubeList;
declare class CubeList extends Mesh {
    geometry: Geometry;
    material: MeshBasicMaterial;
    objectCacher: ObjectCacher;
    updatePoints(points: any, colors: any, options?: {}): void;
    applyQuaternion(quaternion: import("three").Quaternion): CubeList;
    rotateOnAxis(axis: import("three").Vector3, angle: number): CubeList;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): CubeList;
    rotateX(angle: number): CubeList;
    rotateY(angle: number): CubeList;
    rotateZ(angle: number): CubeList;
    translateOnAxis(axis: import("three").Vector3, distance: number): CubeList;
    translateX(distance: number): CubeList;
    translateY(distance: number): CubeList;
    translateZ(distance: number): CubeList;
    add(...object: import("three").Object3D[]): CubeList;
    remove(...object: import("three").Object3D[]): CubeList;
    attach(object: import("three").Object3D): CubeList;
    clone(recursive?: boolean | undefined): CubeList;
    copy(source: CubeList, recursive?: boolean | undefined): CubeList;
}
import Mesh from "./Mesh";
import { Geometry } from "three/src/core/Geometry";
import { MeshBasicMaterial } from "three/src/materials/MeshBasicMaterial";
import ObjectCacher from "../utils/objectCacher";
